import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ColorSOP, ColorSOPList } from '../../libappsop/colorsop';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

/**
 * Form listing new supply value for production units (IsSupplier = false).
 */
export class FormProductionPlan extends Form {
  public meProductionPlan = new MatrixEditorProductionPlan();

  public constructor() {
    super('FormProductionPlan');
  }
}

export class MatrixEditorProductionPlan extends MatrixEditorSOP<DialogDummy> {
  public static readonly title = 'Production plan';

  public constructor() {
    super('MatrixEditorPISPIP', '', new DialogDummy()); // Name of the actual component in GUIDesigner
  }
}

const cellColors: ColorSOPList = {
  hasSupply: (): ColorSOP => ({ Rgb: 'rgba(0, 0, 0, 0)', Color: 'White', Hex: '' }),
  noSupply: (): ColorSOP => ({ Rgb: 'rgba(0, 0, 0, 0.125)', Color: 'Grey', Hex: '' }),
};

export { cellColors as CellColors };
